std::error_category(3)

NAME
std::error_category - std::error_category

Synopsis
   Defined in header <system_error>
   class error_category; (since C++11)
   std::error_category serves as the base class for specific error category types, such
   as std::system_category, std::iostream_category, etc. Each specific category class
   defines the error_code - error_condition mapping and holds the explanatory strings
   for all error_conditions. The objects of error category classes are treated as
   singletons, passed by reference.

Member functions
   constructor constructs an error_category
                        (public member function)
   destructor destructs an error_category
   [virtual] (virtual public member function)
   operator= not copy assignable
   [deleted] (public member function)
   name obtains the name of the category
   [virtual] (virtual public member function)
   default_error_condition maps error_code to error_condition
   [virtual] (virtual public member function)
   equivalent compares error_code and error_condition for equivalence
   [virtual] (virtual public member function)
   message obtains the explanatory string
   [virtual] (virtual public member function)
   operator==
   operator!=
   operator< compares two error categories
   operator<=> (function)
   (removed in C++20)
   (removed in C++20)
   (C++20)
  Specific error categories

See also
   error_condition holds a portable error code
   (C++11) (class)
   error_code holds a platform-dependent error code
   (C++11) (class)
   generic_category identifies the generic error category
   (C++11) (function)
   system_category identifies the operating system error category
   (C++11) (function)
   iostream_category identifies the iostream error category
   (C++11) (function)
   future_category identifies the future error category
   (C++11) (function)